
Figure - Bug #116305
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】打开游戏模式，打开多个游戏，进入任务管理器页面，从控制中心中关闭游
戏模式，只有一个游戏进程卡片被移除
2023-02-16 15:02 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-16

Priority: Normal Due date: 2023-03-03

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0075.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303030144

Reproducibility: Every time Fixed Version: 2023-03-02

Test Type: ST Root cause: AOSP问题

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、打开游戏模式(分辨率为720p)

2、打开多个游戏

3、进入任务管理器页面

4、从控制中心中关闭游戏模式

【预期结果】

4、所有游戏进程被移除，然后空白进程卡片自动补齐

【实际结果】

4、只有一个游戏进程卡片被移除，且进程卡片未补齐

退出任务管理器后再次进入，所有游戏进程被移除

【复现率】

3/3

History

#1 - 2023-02-20 20:30 - CD APP-王营

- Due date set to 2023-02-23

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-王宏

#2 - 2023-02-23 15:48 - CD APP-王宏

- % Done changed from 0 to 30

■ Current conclusion

代码已提交

■ My analysis

发现某个动画被取消导致动画结束后的回调未执行。
因此这种被动的被移除的task,我们不采取动画的形式移除，而采用重新绘制

在RecentsView$mTaskStackListener$onTaskRemoved()中

mModel.isTaskRemoved(taskKey.id, taskRemoved -> {

                                if (taskRemoved) {

                                   dismissTask(taskId); 

                                }

                            });

将dismissTask(taskId);  替换为 reloadIfNeeded();  重新加载,因为在下拉菜单覆盖下，重新加载不会被用户察觉，

体验感不会受到影响

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/183834

#3 - 2023-02-24 18:27 - CD APP-王宏

- Due date changed from 2023-02-23 to 2023-03-03

等待小窗调整完成后入库

#4 - 2023-03-01 17:57 - CD APP-王宏

- % Done changed from 30 to 50

■ Current conclusion

代码已提交

■ My analysis

游戏模式在调整后会发送广播，提示移除哪些task，我们直接移除相关TaskView,并且补齐

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/183834

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/GameMode/+/184504

#5 - 2023-03-01 19:58 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-02

- Root cause set to AOSP问题

#6 - 2023-03-01 20:01 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

184504 general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

AF:GameMode: fix game task removeAdd logic to send a broadcast to launcherto remove the game's task.TC-RID: 1201-0204803IssueID:
TS-R-BUG-116305Change-Id: Ib8a677891e799c4807ef0bb339970e7efb30e577

#7 - 2023-03-03 18:27 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303030144

3.3

验证通过

#8 - 2023-03-03 18:27 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-02-16 15-01-17.mp4 12.2 MB 2023-02-16 CD TEST-方永红
